Bug 1633874 - Request to incorporate fix for forwarding without ipv6 connectivity
Summary: Request to incorporate fix for forwarding without ipv6 connectivity
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: unbound
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-27 23:19 UTC by Ian Wienand
Modified: 2018-11-03 00:00 UTC (History)
4 users (show)

Fixed In Version: unbound-1.7.3-9.fc28 unbound-1.7.3-10.fc27 unbound-1.8.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-05 17:10:44 UTC


Attachments (Terms of Use)
Upstream qname fix (926 bytes, patch)
2018-09-27 23:19 UTC, Ian Wienand
no flags Details | Diff

Description Ian Wienand 2018-09-27 23:19:17 UTC
Created attachment 1487926 [details]
Upstream qname fix

Hello,

As described in the upstream bug [1], currently if you have ipv6 forwarders enabled but no ipv6 connectivity you can end up with very intermittent DNS due to unbound constantly trying to use the invalid ipv6 forwarders.

It would be great if we could have the upstream fix, which has now been merged, incorporated into the Fedora packages.

I've attached the patch I applied against 1.7.3-6

Thanks

[1] https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=4188

Comment 1 Fedora Update System 2018-10-02 08:58:23 UTC
unbound-1.7.3-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b129e67fab

Comment 2 Fedora Update System 2018-10-02 09:00:45 UTC
unbound-1.7.3-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ec8371f75

Comment 3 Petr Menšík 2018-10-02 09:12:25 UTC
Fixes for Fedora 27 and 28 are available, but I would like to push updated unbound 1.8.0 into Fedora 29 and rawhide first.

Comment 4 Fedora Update System 2018-10-02 15:28:38 UTC
unbound-1.7.3-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b129e67fab

Comment 5 Fedora Update System 2018-10-02 17:03:31 UTC
unbound-1.7.3-9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ec8371f75

Comment 6 Fedora Update System 2018-10-05 17:10:44 UTC
unbound-1.7.3-9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-10-08 18:00:09 UTC
unbound-1.7.3-10.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b129e67fab

Comment 8 Fedora Update System 2018-10-09 01:17:17 UTC
unbound-1.7.3-10.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b129e67fab

Comment 9 Fedora Update System 2018-10-09 12:21:55 UTC
netresolve-0.0.1-0.22.20160317git.fc29 getdns-1.4.2-4.fc29 unbound-1.8.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 10 Fedora Update System 2018-10-09 20:03:16 UTC
getdns-1.4.2-4.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 11 Fedora Update System 2018-10-10 09:25:51 UTC
getdns-1.4.2-4.fc29 gnutls-3.6.4-2.fc29 netresolve-0.0.1-0.22.20160317git.fc29 unbound-1.8.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 12 Fedora Update System 2018-10-10 15:49:47 UTC
getdns-1.4.2-4.fc29, gnutls-3.6.4-2.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 13 Fedora Update System 2018-10-11 09:33:48 UTC
getdns-1.4.2-4.fc29 gnutls-3.6.4-2.fc29 libreswan-3.27-1.fc29 netresolve-0.0.1-0.22.20160317git.fc29 unbound-1.8.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 14 Fedora Update System 2018-10-11 18:59:23 UTC
getdns-1.4.2-4.fc29, gnutls-3.6.4-2.fc29, libreswan-3.27-1.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 15 Fedora Update System 2018-10-18 03:53:26 UTC
unbound-1.7.3-10.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-10-19 11:22:11 UTC
asterisk-16.0.0-1.fc29 getdns-1.4.2-4.fc29 gnutls-3.6.4-2.fc29 libreswan-3.27-1.fc29 netresolve-0.0.1-0.22.20160317git.fc29 unbound-1.8.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 17 Fedora Update System 2018-10-20 19:20:58 UTC
asterisk-16.0.0-1.fc29, getdns-1.4.2-4.fc29, gnutls-3.6.4-4.fc29, libreswan-3.27-1.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 18 Fedora Update System 2018-11-03 00:00:26 UTC
asterisk-16.0.0-1.fc29, getdns-1.4.2-4.fc29, gnutls-3.6.4-4.fc29, libreswan-3.27-1.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.